## org.eclipse.emf.edit.domain
Interface IEditingDomainProvider

All Known Implementing Classes:
  AdapterFactoryEditingDomain.AdapterFactoryEditingDomainResourceSet, AdapterFactoryEditingDomain.EditingDomainProvider, AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory, Ecore2EcoreEditor, Ecore2XMLEditor, EcoreEditor, EcoreEditor.XML, GenModelEditor, MappingEditor

    public interface IEditingDomainProvider

This is the interface specified by an object that is able to yield its `EditingDomain`. See `AdapterFactoryEditingDomain.getEditingDomainFor` for one use of this.

Method Summary
`EditingDomain` `getEditingDomain()` This returns the editing domain.

Method Detail

### getEditingDomain

    EditingDomain getEditingDomain()

  This returns the editing domain. A typical usage is

         ((IEditingDomainProvider)((EObject)object).eResource().getResourceSet()).getEditingDomain();

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.